-- Version: v11.0 11.0.0.23

library ieee;
use ieee.std_logic_1164.all;
library SmartFusion2;
use SmartFusion2.all;

entity dotp_multadd_dotp_multadd_0_HARD_MULT_ADDSUB is

    port( INPUTC_c : in    std_logic_vector(43 downto 0);
          INPUTB_c : in    std_logic_vector(17 downto 0);
          INPUTA_c : in    std_logic_vector(17 downto 0);
          P        : out   std_logic_vector(43 downto 0);
          clk_c    : in    std_logic;
          OVERFLOW : out   std_logic
        );

end dotp_multadd_dotp_multadd_0_HARD_MULT_ADDSUB;

architecture DEF_ARCH of 
        dotp_multadd_dotp_multadd_0_HARD_MULT_ADDSUB is 

  component VCC
    port( Y : out   std_logic
        );
  end component;

  component GND
    port( Y : out   std_logic
        );
  end component;

  component MACC
    port( CLK               : in    std_logic_vector(1 downto 0) := (others => 'U');
          A                 : in    std_logic_vector(17 downto 0) := (others => 'U');
          A_EN              : in    std_logic_vector(1 downto 0) := (others => 'U');
          A_ARST_N          : in    std_logic_vector(1 downto 0) := (others => 'U');
          A_SRST_N          : in    std_logic_vector(1 downto 0) := (others => 'U');
          B                 : in    std_logic_vector(17 downto 0) := (others => 'U');
          B_EN              : in    std_logic_vector(1 downto 0) := (others => 'U');
          B_ARST_N          : in    std_logic_vector(1 downto 0) := (others => 'U');
          B_SRST_N          : in    std_logic_vector(1 downto 0) := (others => 'U');
          C                 : in    std_logic_vector(43 downto 0) := (others => 'U');
          C_EN              : in    std_logic_vector(1 downto 0) := (others => 'U');
          C_ARST_N          : in    std_logic_vector(1 downto 0) := (others => 'U');
          C_SRST_N          : in    std_logic_vector(1 downto 0) := (others => 'U');
          P_EN              : in    std_logic_vector(1 downto 0) := (others => 'U');
          P_ARST_N          : in    std_logic_vector(1 downto 0) := (others => 'U');
          P_SRST_N          : in    std_logic_vector(1 downto 0) := (others => 'U');
          FDBKSEL           : in    std_logic := 'U';
          FDBKSEL_EN        : in    std_logic := 'U';
          FDBKSEL_AL_N      : in    std_logic := 'U';
          FDBKSEL_SL_N      : in    std_logic := 'U';
          CDSEL             : in    std_logic := 'U';
          CDSEL_EN          : in    std_logic := 'U';
          CDSEL_AL_N        : in    std_logic := 'U';
          CDSEL_SL_N        : in    std_logic := 'U';
          ARSHFT17          : in    std_logic := 'U';
          ARSHFT17_EN       : in    std_logic := 'U';
          ARSHFT17_AL_N     : in    std_logic := 'U';
          ARSHFT17_SL_N     : in    std_logic := 'U';
          SUB               : in    std_logic := 'U';
          SUB_EN            : in    std_logic := 'U';
          SUB_AL_N          : in    std_logic := 'U';
          SUB_SL_N          : in    std_logic := 'U';
          CARRYIN           : in    std_logic := 'U';
          SIMD              : in    std_logic := 'U';
          DOTP              : in    std_logic := 'U';
          OVFL_CARRYOUT_SEL : in    std_logic := 'U';
          A_BYPASS          : in    std_logic_vector(1 downto 0) := (others => 'U');
          B_BYPASS          : in    std_logic_vector(1 downto 0) := (others => 'U');
          C_BYPASS          : in    std_logic_vector(1 downto 0) := (others => 'U');
          P_BYPASS          : in    std_logic_vector(1 downto 0) := (others => 'U');
          FDBKSEL_BYPASS    : in    std_logic := 'U';
          FDBKSEL_AD        : in    std_logic := 'U';
          FDBKSEL_SD_N      : in    std_logic := 'U';
          CDSEL_BYPASS      : in    std_logic := 'U';
          CDSEL_AD          : in    std_logic := 'U';
          CDSEL_SD_N        : in    std_logic := 'U';
          ARSHFT17_BYPASS   : in    std_logic := 'U';
          ARSHFT17_AD       : in    std_logic := 'U';
          ARSHFT17_SD_N     : in    std_logic := 'U';
          SUB_BYPASS        : in    std_logic := 'U';
          SUB_AD            : in    std_logic := 'U';
          SUB_SD_N          : in    std_logic := 'U';
          CDIN              : in    std_logic_vector(43 downto 0) := (others => 'U');
          CDOUT             : out   std_logic_vector(43 downto 0);
          P                 : out   std_logic_vector(43 downto 0);
          OVFL_CARRYOUT     : out   std_logic
        );
  end component;

    signal GND_net_1, VCC_net_1 : std_logic;
    signal nc34, nc9, nc13, nc23, nc33, nc16, nc26, nc27, nc17, 
        nc36, nc37, nc5, nc4, nc42, nc41, nc25, nc15, nc35, nc28, 
        nc18, nc38, nc1, nc2, nc22, nc12, nc21, nc11, nc3, nc32, 
        nc40, nc31, nc44, nc7, nc6, nc19, nc29, nc39, nc8, nc43, 
        nc20, nc10, nc24, nc14, nc30 : std_logic;

begin 


    \VCC\ : VCC
      port map(Y => VCC_net_1);
    
    \GND\ : GND
      port map(Y => GND_net_1);
    
    U0 : MACC
      port map(CLK(1) => clk_c, CLK(0) => clk_c, A(17) => 
        INPUTA_c(17), A(16) => INPUTA_c(16), A(15) => 
        INPUTA_c(15), A(14) => INPUTA_c(14), A(13) => 
        INPUTA_c(13), A(12) => INPUTA_c(12), A(11) => 
        INPUTA_c(11), A(10) => INPUTA_c(10), A(9) => INPUTA_c(9), 
        A(8) => INPUTA_c(8), A(7) => INPUTA_c(7), A(6) => 
        INPUTA_c(6), A(5) => INPUTA_c(5), A(4) => INPUTA_c(4), 
        A(3) => INPUTA_c(3), A(2) => INPUTA_c(2), A(1) => 
        INPUTA_c(1), A(0) => INPUTA_c(0), A_EN(1) => VCC_net_1, 
        A_EN(0) => VCC_net_1, A_ARST_N(1) => VCC_net_1, 
        A_ARST_N(0) => VCC_net_1, A_SRST_N(1) => VCC_net_1, 
        A_SRST_N(0) => VCC_net_1, B(17) => INPUTB_c(17), B(16)
         => INPUTB_c(16), B(15) => INPUTB_c(15), B(14) => 
        INPUTB_c(14), B(13) => INPUTB_c(13), B(12) => 
        INPUTB_c(12), B(11) => INPUTB_c(11), B(10) => 
        INPUTB_c(10), B(9) => INPUTB_c(9), B(8) => INPUTB_c(8), 
        B(7) => INPUTB_c(7), B(6) => INPUTB_c(6), B(5) => 
        INPUTB_c(5), B(4) => INPUTB_c(4), B(3) => INPUTB_c(3), 
        B(2) => INPUTB_c(2), B(1) => INPUTB_c(1), B(0) => 
        INPUTB_c(0), B_EN(1) => VCC_net_1, B_EN(0) => VCC_net_1, 
        B_ARST_N(1) => VCC_net_1, B_ARST_N(0) => VCC_net_1, 
        B_SRST_N(1) => VCC_net_1, B_SRST_N(0) => VCC_net_1, C(43)
         => INPUTC_c(43), C(42) => INPUTC_c(42), C(41) => 
        INPUTC_c(41), C(40) => INPUTC_c(40), C(39) => 
        INPUTC_c(39), C(38) => INPUTC_c(38), C(37) => 
        INPUTC_c(37), C(36) => INPUTC_c(36), C(35) => 
        INPUTC_c(35), C(34) => INPUTC_c(34), C(33) => 
        INPUTC_c(33), C(32) => INPUTC_c(32), C(31) => 
        INPUTC_c(31), C(30) => INPUTC_c(30), C(29) => 
        INPUTC_c(29), C(28) => INPUTC_c(28), C(27) => 
        INPUTC_c(27), C(26) => INPUTC_c(26), C(25) => 
        INPUTC_c(25), C(24) => INPUTC_c(24), C(23) => 
        INPUTC_c(23), C(22) => INPUTC_c(22), C(21) => 
        INPUTC_c(21), C(20) => INPUTC_c(20), C(19) => 
        INPUTC_c(19), C(18) => INPUTC_c(18), C(17) => 
        INPUTC_c(17), C(16) => INPUTC_c(16), C(15) => 
        INPUTC_c(15), C(14) => INPUTC_c(14), C(13) => 
        INPUTC_c(13), C(12) => INPUTC_c(12), C(11) => 
        INPUTC_c(11), C(10) => INPUTC_c(10), C(9) => INPUTC_c(9), 
        C(8) => INPUTC_c(8), C(7) => INPUTC_c(7), C(6) => 
        INPUTC_c(6), C(5) => INPUTC_c(5), C(4) => INPUTC_c(4), 
        C(3) => INPUTC_c(3), C(2) => INPUTC_c(2), C(1) => 
        INPUTC_c(1), C(0) => INPUTC_c(0), C_EN(1) => VCC_net_1, 
        C_EN(0) => VCC_net_1, C_ARST_N(1) => VCC_net_1, 
        C_ARST_N(0) => VCC_net_1, C_SRST_N(1) => VCC_net_1, 
        C_SRST_N(0) => VCC_net_1, P_EN(1) => VCC_net_1, P_EN(0)
         => VCC_net_1, P_ARST_N(1) => VCC_net_1, P_ARST_N(0) => 
        VCC_net_1, P_SRST_N(1) => VCC_net_1, P_SRST_N(0) => 
        VCC_net_1, FDBKSEL => GND_net_1, FDBKSEL_EN => VCC_net_1, 
        FDBKSEL_AL_N => VCC_net_1, FDBKSEL_SL_N => VCC_net_1, 
        CDSEL => GND_net_1, CDSEL_EN => VCC_net_1, CDSEL_AL_N => 
        VCC_net_1, CDSEL_SL_N => VCC_net_1, ARSHFT17 => GND_net_1, 
        ARSHFT17_EN => VCC_net_1, ARSHFT17_AL_N => VCC_net_1, 
        ARSHFT17_SL_N => VCC_net_1, SUB => GND_net_1, SUB_EN => 
        VCC_net_1, SUB_AL_N => VCC_net_1, SUB_SL_N => VCC_net_1, 
        CARRYIN => GND_net_1, SIMD => GND_net_1, DOTP => 
        GND_net_1, OVFL_CARRYOUT_SEL => GND_net_1, A_BYPASS(1)
         => GND_net_1, A_BYPASS(0) => GND_net_1, B_BYPASS(1) => 
        GND_net_1, B_BYPASS(0) => GND_net_1, C_BYPASS(1) => 
        GND_net_1, C_BYPASS(0) => GND_net_1, P_BYPASS(1) => 
        GND_net_1, P_BYPASS(0) => GND_net_1, FDBKSEL_BYPASS => 
        VCC_net_1, FDBKSEL_AD => GND_net_1, FDBKSEL_SD_N => 
        VCC_net_1, CDSEL_BYPASS => VCC_net_1, CDSEL_AD => 
        GND_net_1, CDSEL_SD_N => VCC_net_1, ARSHFT17_BYPASS => 
        VCC_net_1, ARSHFT17_AD => GND_net_1, ARSHFT17_SD_N => 
        VCC_net_1, SUB_BYPASS => VCC_net_1, SUB_AD => GND_net_1, 
        SUB_SD_N => VCC_net_1, CDIN(43) => GND_net_1, CDIN(42)
         => GND_net_1, CDIN(41) => GND_net_1, CDIN(40) => 
        GND_net_1, CDIN(39) => GND_net_1, CDIN(38) => GND_net_1, 
        CDIN(37) => GND_net_1, CDIN(36) => GND_net_1, CDIN(35)
         => GND_net_1, CDIN(34) => GND_net_1, CDIN(33) => 
        GND_net_1, CDIN(32) => GND_net_1, CDIN(31) => GND_net_1, 
        CDIN(30) => GND_net_1, CDIN(29) => GND_net_1, CDIN(28)
         => GND_net_1, CDIN(27) => GND_net_1, CDIN(26) => 
        GND_net_1, CDIN(25) => GND_net_1, CDIN(24) => GND_net_1, 
        CDIN(23) => GND_net_1, CDIN(22) => GND_net_1, CDIN(21)
         => GND_net_1, CDIN(20) => GND_net_1, CDIN(19) => 
        GND_net_1, CDIN(18) => GND_net_1, CDIN(17) => GND_net_1, 
        CDIN(16) => GND_net_1, CDIN(15) => GND_net_1, CDIN(14)
         => GND_net_1, CDIN(13) => GND_net_1, CDIN(12) => 
        GND_net_1, CDIN(11) => GND_net_1, CDIN(10) => GND_net_1, 
        CDIN(9) => GND_net_1, CDIN(8) => GND_net_1, CDIN(7) => 
        GND_net_1, CDIN(6) => GND_net_1, CDIN(5) => GND_net_1, 
        CDIN(4) => GND_net_1, CDIN(3) => GND_net_1, CDIN(2) => 
        GND_net_1, CDIN(1) => GND_net_1, CDIN(0) => GND_net_1, 
        CDOUT(43) => nc34, CDOUT(42) => nc9, CDOUT(41) => nc13, 
        CDOUT(40) => nc23, CDOUT(39) => nc33, CDOUT(38) => nc16, 
        CDOUT(37) => nc26, CDOUT(36) => nc27, CDOUT(35) => nc17, 
        CDOUT(34) => nc36, CDOUT(33) => nc37, CDOUT(32) => nc5, 
        CDOUT(31) => nc4, CDOUT(30) => nc42, CDOUT(29) => nc41, 
        CDOUT(28) => nc25, CDOUT(27) => nc15, CDOUT(26) => nc35, 
        CDOUT(25) => nc28, CDOUT(24) => nc18, CDOUT(23) => nc38, 
        CDOUT(22) => nc1, CDOUT(21) => nc2, CDOUT(20) => nc22, 
        CDOUT(19) => nc12, CDOUT(18) => nc21, CDOUT(17) => nc11, 
        CDOUT(16) => nc3, CDOUT(15) => nc32, CDOUT(14) => nc40, 
        CDOUT(13) => nc31, CDOUT(12) => nc44, CDOUT(11) => nc7, 
        CDOUT(10) => nc6, CDOUT(9) => nc19, CDOUT(8) => nc29, 
        CDOUT(7) => nc39, CDOUT(6) => nc8, CDOUT(5) => nc43, 
        CDOUT(4) => nc20, CDOUT(3) => nc10, CDOUT(2) => nc24, 
        CDOUT(1) => nc14, CDOUT(0) => nc30, P(43) => P(43), P(42)
         => P(42), P(41) => P(41), P(40) => P(40), P(39) => P(39), 
        P(38) => P(38), P(37) => P(37), P(36) => P(36), P(35) => 
        P(35), P(34) => P(34), P(33) => P(33), P(32) => P(32), 
        P(31) => P(31), P(30) => P(30), P(29) => P(29), P(28) => 
        P(28), P(27) => P(27), P(26) => P(26), P(25) => P(25), 
        P(24) => P(24), P(23) => P(23), P(22) => P(22), P(21) => 
        P(21), P(20) => P(20), P(19) => P(19), P(18) => P(18), 
        P(17) => P(17), P(16) => P(16), P(15) => P(15), P(14) => 
        P(14), P(13) => P(13), P(12) => P(12), P(11) => P(11), 
        P(10) => P(10), P(9) => P(9), P(8) => P(8), P(7) => P(7), 
        P(6) => P(6), P(5) => P(5), P(4) => P(4), P(3) => P(3), 
        P(2) => P(2), P(1) => P(1), P(0) => P(0), OVFL_CARRYOUT
         => OVERFLOW);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library SmartFusion2;
use SmartFusion2.all;

entity dotp_multadd is

    port( P        : out   std_logic_vector(43 downto 0);
          INPUTA_c : in    std_logic_vector(17 downto 0);
          INPUTB_c : in    std_logic_vector(17 downto 0);
          INPUTC_c : in    std_logic_vector(43 downto 0);
          OVERFLOW : out   std_logic;
          clk_c    : in    std_logic
        );

end dotp_multadd;

architecture DEF_ARCH of dotp_multadd is 

  component dotp_multadd_dotp_multadd_0_HARD_MULT_ADDSUB
    port( INPUTC_c : in    std_logic_vector(43 downto 0) := (others => 'U');
          INPUTB_c : in    std_logic_vector(17 downto 0) := (others => 'U');
          INPUTA_c : in    std_logic_vector(17 downto 0) := (others => 'U');
          P        : out   std_logic_vector(43 downto 0);
          clk_c    : in    std_logic := 'U';
          OVERFLOW : out   std_logic
        );
  end component;

  component VCC
    port( Y : out   std_logic
        );
  end component;

  component GND
    port( Y : out   std_logic
        );
  end component;

    signal GND_net_1, VCC_net_1 : std_logic;

    for all : dotp_multadd_dotp_multadd_0_HARD_MULT_ADDSUB
	Use entity work.
        dotp_multadd_dotp_multadd_0_HARD_MULT_ADDSUB(DEF_ARCH);
begin 


    dotp_multadd_0 : dotp_multadd_dotp_multadd_0_HARD_MULT_ADDSUB
      port map(INPUTC_c(43) => INPUTC_c(43), INPUTC_c(42) => 
        INPUTC_c(42), INPUTC_c(41) => INPUTC_c(41), INPUTC_c(40)
         => INPUTC_c(40), INPUTC_c(39) => INPUTC_c(39), 
        INPUTC_c(38) => INPUTC_c(38), INPUTC_c(37) => 
        INPUTC_c(37), INPUTC_c(36) => INPUTC_c(36), INPUTC_c(35)
         => INPUTC_c(35), INPUTC_c(34) => INPUTC_c(34), 
        INPUTC_c(33) => INPUTC_c(33), INPUTC_c(32) => 
        INPUTC_c(32), INPUTC_c(31) => INPUTC_c(31), INPUTC_c(30)
         => INPUTC_c(30), INPUTC_c(29) => INPUTC_c(29), 
        INPUTC_c(28) => INPUTC_c(28), INPUTC_c(27) => 
        INPUTC_c(27), INPUTC_c(26) => INPUTC_c(26), INPUTC_c(25)
         => INPUTC_c(25), INPUTC_c(24) => INPUTC_c(24), 
        INPUTC_c(23) => INPUTC_c(23), INPUTC_c(22) => 
        INPUTC_c(22), INPUTC_c(21) => INPUTC_c(21), INPUTC_c(20)
         => INPUTC_c(20), INPUTC_c(19) => INPUTC_c(19), 
        INPUTC_c(18) => INPUTC_c(18), INPUTC_c(17) => 
        INPUTC_c(17), INPUTC_c(16) => INPUTC_c(16), INPUTC_c(15)
         => INPUTC_c(15), INPUTC_c(14) => INPUTC_c(14), 
        INPUTC_c(13) => INPUTC_c(13), INPUTC_c(12) => 
        INPUTC_c(12), INPUTC_c(11) => INPUTC_c(11), INPUTC_c(10)
         => INPUTC_c(10), INPUTC_c(9) => INPUTC_c(9), INPUTC_c(8)
         => INPUTC_c(8), INPUTC_c(7) => INPUTC_c(7), INPUTC_c(6)
         => INPUTC_c(6), INPUTC_c(5) => INPUTC_c(5), INPUTC_c(4)
         => INPUTC_c(4), INPUTC_c(3) => INPUTC_c(3), INPUTC_c(2)
         => INPUTC_c(2), INPUTC_c(1) => INPUTC_c(1), INPUTC_c(0)
         => INPUTC_c(0), INPUTB_c(17) => INPUTB_c(17), 
        INPUTB_c(16) => INPUTB_c(16), INPUTB_c(15) => 
        INPUTB_c(15), INPUTB_c(14) => INPUTB_c(14), INPUTB_c(13)
         => INPUTB_c(13), INPUTB_c(12) => INPUTB_c(12), 
        INPUTB_c(11) => INPUTB_c(11), INPUTB_c(10) => 
        INPUTB_c(10), INPUTB_c(9) => INPUTB_c(9), INPUTB_c(8) => 
        INPUTB_c(8), INPUTB_c(7) => INPUTB_c(7), INPUTB_c(6) => 
        INPUTB_c(6), INPUTB_c(5) => INPUTB_c(5), INPUTB_c(4) => 
        INPUTB_c(4), INPUTB_c(3) => INPUTB_c(3), INPUTB_c(2) => 
        INPUTB_c(2), INPUTB_c(1) => INPUTB_c(1), INPUTB_c(0) => 
        INPUTB_c(0), INPUTA_c(17) => INPUTA_c(17), INPUTA_c(16)
         => INPUTA_c(16), INPUTA_c(15) => INPUTA_c(15), 
        INPUTA_c(14) => INPUTA_c(14), INPUTA_c(13) => 
        INPUTA_c(13), INPUTA_c(12) => INPUTA_c(12), INPUTA_c(11)
         => INPUTA_c(11), INPUTA_c(10) => INPUTA_c(10), 
        INPUTA_c(9) => INPUTA_c(9), INPUTA_c(8) => INPUTA_c(8), 
        INPUTA_c(7) => INPUTA_c(7), INPUTA_c(6) => INPUTA_c(6), 
        INPUTA_c(5) => INPUTA_c(5), INPUTA_c(4) => INPUTA_c(4), 
        INPUTA_c(3) => INPUTA_c(3), INPUTA_c(2) => INPUTA_c(2), 
        INPUTA_c(1) => INPUTA_c(1), INPUTA_c(0) => INPUTA_c(0), 
        P(43) => P(43), P(42) => P(42), P(41) => P(41), P(40) => 
        P(40), P(39) => P(39), P(38) => P(38), P(37) => P(37), 
        P(36) => P(36), P(35) => P(35), P(34) => P(34), P(33) => 
        P(33), P(32) => P(32), P(31) => P(31), P(30) => P(30), 
        P(29) => P(29), P(28) => P(28), P(27) => P(27), P(26) => 
        P(26), P(25) => P(25), P(24) => P(24), P(23) => P(23), 
        P(22) => P(22), P(21) => P(21), P(20) => P(20), P(19) => 
        P(19), P(18) => P(18), P(17) => P(17), P(16) => P(16), 
        P(15) => P(15), P(14) => P(14), P(13) => P(13), P(12) => 
        P(12), P(11) => P(11), P(10) => P(10), P(9) => P(9), P(8)
         => P(8), P(7) => P(7), P(6) => P(6), P(5) => P(5), P(4)
         => P(4), P(3) => P(3), P(2) => P(2), P(1) => P(1), P(0)
         => P(0), clk_c => clk_c, OVERFLOW => OVERFLOW);
    
    \VCC\ : VCC
      port map(Y => VCC_net_1);
    
    \GND\ : GND
      port map(Y => GND_net_1);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library SmartFusion2;
use SmartFusion2.all;

entity dotp_multadd_dotp_multadd_0_HARD_MULT_ADDSUB_1 is

    port( INPUTC_c : in    std_logic_vector(51 downto 44);
          P1_7     : out   std_logic;
          P1_6     : out   std_logic;
          P1_5     : out   std_logic;
          P1_4     : out   std_logic;
          P1_3     : out   std_logic;
          P1_2     : out   std_logic;
          P1_1     : out   std_logic;
          P1_0     : out   std_logic;
          clk_c    : in    std_logic;
          S        : in    std_logic;
          OVERFLOW : in    std_logic
        );

end dotp_multadd_dotp_multadd_0_HARD_MULT_ADDSUB_1;

architecture DEF_ARCH of 
        dotp_multadd_dotp_multadd_0_HARD_MULT_ADDSUB_1 is 

  component VCC
    port( Y : out   std_logic
        );
  end component;

  component GND
    port( Y : out   std_logic
        );
  end component;

  component MACC
    port( CLK               : in    std_logic_vector(1 downto 0) := (others => 'U');
          A                 : in    std_logic_vector(17 downto 0) := (others => 'U');
          A_EN              : in    std_logic_vector(1 downto 0) := (others => 'U');
          A_ARST_N          : in    std_logic_vector(1 downto 0) := (others => 'U');
          A_SRST_N          : in    std_logic_vector(1 downto 0) := (others => 'U');
          B                 : in    std_logic_vector(17 downto 0) := (others => 'U');
          B_EN              : in    std_logic_vector(1 downto 0) := (others => 'U');
          B_ARST_N          : in    std_logic_vector(1 downto 0) := (others => 'U');
          B_SRST_N          : in    std_logic_vector(1 downto 0) := (others => 'U');
          C                 : in    std_logic_vector(43 downto 0) := (others => 'U');
          C_EN              : in    std_logic_vector(1 downto 0) := (others => 'U');
          C_ARST_N          : in    std_logic_vector(1 downto 0) := (others => 'U');
          C_SRST_N          : in    std_logic_vector(1 downto 0) := (others => 'U');
          P_EN              : in    std_logic_vector(1 downto 0) := (others => 'U');
          P_ARST_N          : in    std_logic_vector(1 downto 0) := (others => 'U');
          P_SRST_N          : in    std_logic_vector(1 downto 0) := (others => 'U');
          FDBKSEL           : in    std_logic := 'U';
          FDBKSEL_EN        : in    std_logic := 'U';
          FDBKSEL_AL_N      : in    std_logic := 'U';
          FDBKSEL_SL_N      : in    std_logic := 'U';
          CDSEL             : in    std_logic := 'U';
          CDSEL_EN          : in    std_logic := 'U';
          CDSEL_AL_N        : in    std_logic := 'U';
          CDSEL_SL_N        : in    std_logic := 'U';
          ARSHFT17          : in    std_logic := 'U';
          ARSHFT17_EN       : in    std_logic := 'U';
          ARSHFT17_AL_N     : in    std_logic := 'U';
          ARSHFT17_SL_N     : in    std_logic := 'U';
          SUB               : in    std_logic := 'U';
          SUB_EN            : in    std_logic := 'U';
          SUB_AL_N          : in    std_logic := 'U';
          SUB_SL_N          : in    std_logic := 'U';
          CARRYIN           : in    std_logic := 'U';
          SIMD              : in    std_logic := 'U';
          DOTP              : in    std_logic := 'U';
          OVFL_CARRYOUT_SEL : in    std_logic := 'U';
          A_BYPASS          : in    std_logic_vector(1 downto 0) := (others => 'U');
          B_BYPASS          : in    std_logic_vector(1 downto 0) := (others => 'U');
          C_BYPASS          : in    std_logic_vector(1 downto 0) := (others => 'U');
          P_BYPASS          : in    std_logic_vector(1 downto 0) := (others => 'U');
          FDBKSEL_BYPASS    : in    std_logic := 'U';
          FDBKSEL_AD        : in    std_logic := 'U';
          FDBKSEL_SD_N      : in    std_logic := 'U';
          CDSEL_BYPASS      : in    std_logic := 'U';
          CDSEL_AD          : in    std_logic := 'U';
          CDSEL_SD_N        : in    std_logic := 'U';
          ARSHFT17_BYPASS   : in    std_logic := 'U';
          ARSHFT17_AD       : in    std_logic := 'U';
          ARSHFT17_SD_N     : in    std_logic := 'U';
          SUB_BYPASS        : in    std_logic := 'U';
          SUB_AD            : in    std_logic := 'U';
          SUB_SD_N          : in    std_logic := 'U';
          CDIN              : in    std_logic_vector(43 downto 0) := (others => 'U');
          CDOUT             : out   std_logic_vector(43 downto 0);
          P                 : out   std_logic_vector(43 downto 0);
          OVFL_CARRYOUT     : out   std_logic
        );
  end component;

    signal GND_net_1, VCC_net_1 : std_logic;
    signal nc47, nc34, nc70, nc60, nc74, nc64, nc9, nc13, nc23, 
        nc55, nc80, nc33, nc16, nc26, nc45, nc73, nc58, nc63, 
        nc27, nc17, nc36, nc48, nc37, nc5, nc52, nc76, nc51, nc66, 
        nc77, nc67, nc4, nc42, nc41, nc59, nc25, nc15, nc35, nc49, 
        nc28, nc18, nc75, nc65, nc38, nc1, nc2, nc50, nc22, nc12, 
        nc21, nc11, nc78, nc54, nc68, nc3, nc32, nc40, nc31, nc44, 
        nc7, nc72, nc6, nc71, nc62, nc61, nc19, nc29, nc53, nc39, 
        nc8, nc79, nc43, nc69, nc56, nc20, nc10, nc57, nc24, nc14, 
        nc46, nc30 : std_logic;

begin 


    \VCC\ : VCC
      port map(Y => VCC_net_1);
    
    \GND\ : GND
      port map(Y => GND_net_1);
    
    U0 : MACC
      port map(CLK(1) => clk_c, CLK(0) => clk_c, A(17) => 
        GND_net_1, A(16) => GND_net_1, A(15) => GND_net_1, A(14)
         => GND_net_1, A(13) => GND_net_1, A(12) => GND_net_1, 
        A(11) => GND_net_1, A(10) => GND_net_1, A(9) => GND_net_1, 
        A(8) => GND_net_1, A(7) => GND_net_1, A(6) => GND_net_1, 
        A(5) => GND_net_1, A(4) => GND_net_1, A(3) => GND_net_1, 
        A(2) => GND_net_1, A(1) => GND_net_1, A(0) => VCC_net_1, 
        A_EN(1) => VCC_net_1, A_EN(0) => VCC_net_1, A_ARST_N(1)
         => VCC_net_1, A_ARST_N(0) => VCC_net_1, A_SRST_N(1) => 
        VCC_net_1, A_SRST_N(0) => VCC_net_1, B(17) => S, B(16)
         => S, B(15) => S, B(14) => S, B(13) => S, B(12) => S, 
        B(11) => S, B(10) => S, B(9) => S, B(8) => S, B(7) => S, 
        B(6) => S, B(5) => S, B(4) => S, B(3) => S, B(2) => S, 
        B(1) => S, B(0) => OVERFLOW, B_EN(1) => VCC_net_1, 
        B_EN(0) => VCC_net_1, B_ARST_N(1) => VCC_net_1, 
        B_ARST_N(0) => VCC_net_1, B_SRST_N(1) => VCC_net_1, 
        B_SRST_N(0) => VCC_net_1, C(43) => INPUTC_c(51), C(42)
         => INPUTC_c(51), C(41) => INPUTC_c(51), C(40) => 
        INPUTC_c(51), C(39) => INPUTC_c(51), C(38) => 
        INPUTC_c(51), C(37) => INPUTC_c(51), C(36) => 
        INPUTC_c(51), C(35) => INPUTC_c(51), C(34) => 
        INPUTC_c(51), C(33) => INPUTC_c(51), C(32) => 
        INPUTC_c(51), C(31) => INPUTC_c(51), C(30) => 
        INPUTC_c(51), C(29) => INPUTC_c(51), C(28) => 
        INPUTC_c(51), C(27) => INPUTC_c(51), C(26) => 
        INPUTC_c(51), C(25) => INPUTC_c(51), C(24) => 
        INPUTC_c(51), C(23) => INPUTC_c(51), C(22) => 
        INPUTC_c(51), C(21) => INPUTC_c(51), C(20) => 
        INPUTC_c(51), C(19) => INPUTC_c(51), C(18) => 
        INPUTC_c(51), C(17) => INPUTC_c(51), C(16) => 
        INPUTC_c(51), C(15) => INPUTC_c(51), C(14) => 
        INPUTC_c(51), C(13) => INPUTC_c(51), C(12) => 
        INPUTC_c(51), C(11) => INPUTC_c(51), C(10) => 
        INPUTC_c(51), C(9) => INPUTC_c(51), C(8) => INPUTC_c(51), 
        C(7) => INPUTC_c(51), C(6) => INPUTC_c(50), C(5) => 
        INPUTC_c(49), C(4) => INPUTC_c(48), C(3) => INPUTC_c(47), 
        C(2) => INPUTC_c(46), C(1) => INPUTC_c(45), C(0) => 
        INPUTC_c(44), C_EN(1) => VCC_net_1, C_EN(0) => VCC_net_1, 
        C_ARST_N(1) => VCC_net_1, C_ARST_N(0) => VCC_net_1, 
        C_SRST_N(1) => VCC_net_1, C_SRST_N(0) => VCC_net_1, 
        P_EN(1) => VCC_net_1, P_EN(0) => VCC_net_1, P_ARST_N(1)
         => VCC_net_1, P_ARST_N(0) => VCC_net_1, P_SRST_N(1) => 
        VCC_net_1, P_SRST_N(0) => VCC_net_1, FDBKSEL => GND_net_1, 
        FDBKSEL_EN => VCC_net_1, FDBKSEL_AL_N => VCC_net_1, 
        FDBKSEL_SL_N => VCC_net_1, CDSEL => GND_net_1, CDSEL_EN
         => VCC_net_1, CDSEL_AL_N => VCC_net_1, CDSEL_SL_N => 
        VCC_net_1, ARSHFT17 => GND_net_1, ARSHFT17_EN => 
        VCC_net_1, ARSHFT17_AL_N => VCC_net_1, ARSHFT17_SL_N => 
        VCC_net_1, SUB => GND_net_1, SUB_EN => VCC_net_1, 
        SUB_AL_N => VCC_net_1, SUB_SL_N => VCC_net_1, CARRYIN => 
        GND_net_1, SIMD => GND_net_1, DOTP => GND_net_1, 
        OVFL_CARRYOUT_SEL => GND_net_1, A_BYPASS(1) => GND_net_1, 
        A_BYPASS(0) => GND_net_1, B_BYPASS(1) => GND_net_1, 
        B_BYPASS(0) => GND_net_1, C_BYPASS(1) => GND_net_1, 
        C_BYPASS(0) => GND_net_1, P_BYPASS(1) => GND_net_1, 
        P_BYPASS(0) => GND_net_1, FDBKSEL_BYPASS => VCC_net_1, 
        FDBKSEL_AD => GND_net_1, FDBKSEL_SD_N => VCC_net_1, 
        CDSEL_BYPASS => VCC_net_1, CDSEL_AD => GND_net_1, 
        CDSEL_SD_N => VCC_net_1, ARSHFT17_BYPASS => VCC_net_1, 
        ARSHFT17_AD => GND_net_1, ARSHFT17_SD_N => VCC_net_1, 
        SUB_BYPASS => VCC_net_1, SUB_AD => GND_net_1, SUB_SD_N
         => VCC_net_1, CDIN(43) => GND_net_1, CDIN(42) => 
        GND_net_1, CDIN(41) => GND_net_1, CDIN(40) => GND_net_1, 
        CDIN(39) => GND_net_1, CDIN(38) => GND_net_1, CDIN(37)
         => GND_net_1, CDIN(36) => GND_net_1, CDIN(35) => 
        GND_net_1, CDIN(34) => GND_net_1, CDIN(33) => GND_net_1, 
        CDIN(32) => GND_net_1, CDIN(31) => GND_net_1, CDIN(30)
         => GND_net_1, CDIN(29) => GND_net_1, CDIN(28) => 
        GND_net_1, CDIN(27) => GND_net_1, CDIN(26) => GND_net_1, 
        CDIN(25) => GND_net_1, CDIN(24) => GND_net_1, CDIN(23)
         => GND_net_1, CDIN(22) => GND_net_1, CDIN(21) => 
        GND_net_1, CDIN(20) => GND_net_1, CDIN(19) => GND_net_1, 
        CDIN(18) => GND_net_1, CDIN(17) => GND_net_1, CDIN(16)
         => GND_net_1, CDIN(15) => GND_net_1, CDIN(14) => 
        GND_net_1, CDIN(13) => GND_net_1, CDIN(12) => GND_net_1, 
        CDIN(11) => GND_net_1, CDIN(10) => GND_net_1, CDIN(9) => 
        GND_net_1, CDIN(8) => GND_net_1, CDIN(7) => GND_net_1, 
        CDIN(6) => GND_net_1, CDIN(5) => GND_net_1, CDIN(4) => 
        GND_net_1, CDIN(3) => GND_net_1, CDIN(2) => GND_net_1, 
        CDIN(1) => GND_net_1, CDIN(0) => GND_net_1, CDOUT(43) => 
        nc47, CDOUT(42) => nc34, CDOUT(41) => nc70, CDOUT(40) => 
        nc60, CDOUT(39) => nc74, CDOUT(38) => nc64, CDOUT(37) => 
        nc9, CDOUT(36) => nc13, CDOUT(35) => nc23, CDOUT(34) => 
        nc55, CDOUT(33) => nc80, CDOUT(32) => nc33, CDOUT(31) => 
        nc16, CDOUT(30) => nc26, CDOUT(29) => nc45, CDOUT(28) => 
        nc73, CDOUT(27) => nc58, CDOUT(26) => nc63, CDOUT(25) => 
        nc27, CDOUT(24) => nc17, CDOUT(23) => nc36, CDOUT(22) => 
        nc48, CDOUT(21) => nc37, CDOUT(20) => nc5, CDOUT(19) => 
        nc52, CDOUT(18) => nc76, CDOUT(17) => nc51, CDOUT(16) => 
        nc66, CDOUT(15) => nc77, CDOUT(14) => nc67, CDOUT(13) => 
        nc4, CDOUT(12) => nc42, CDOUT(11) => nc41, CDOUT(10) => 
        nc59, CDOUT(9) => nc25, CDOUT(8) => nc15, CDOUT(7) => 
        nc35, CDOUT(6) => nc49, CDOUT(5) => nc28, CDOUT(4) => 
        nc18, CDOUT(3) => nc75, CDOUT(2) => nc65, CDOUT(1) => 
        nc38, CDOUT(0) => nc1, P(43) => nc2, P(42) => nc50, P(41)
         => nc22, P(40) => nc12, P(39) => nc21, P(38) => nc11, 
        P(37) => nc78, P(36) => nc54, P(35) => nc68, P(34) => nc3, 
        P(33) => nc32, P(32) => nc40, P(31) => nc31, P(30) => 
        nc44, P(29) => nc7, P(28) => nc72, P(27) => nc6, P(26)
         => nc71, P(25) => nc62, P(24) => nc61, P(23) => nc19, 
        P(22) => nc29, P(21) => nc53, P(20) => nc39, P(19) => nc8, 
        P(18) => nc79, P(17) => nc43, P(16) => nc69, P(15) => 
        nc56, P(14) => nc20, P(13) => nc10, P(12) => nc57, P(11)
         => nc24, P(10) => nc14, P(9) => nc46, P(8) => nc30, P(7)
         => P1_7, P(6) => P1_6, P(5) => P1_5, P(4) => P1_4, P(3)
         => P1_3, P(2) => P1_2, P(1) => P1_1, P(0) => P1_0, 
        OVFL_CARRYOUT => OPEN);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library SmartFusion2;
use SmartFusion2.all;

entity dotp_multadd_1 is

    port( P1       : out   std_logic_vector(7 downto 0);
          INPUTC_c : in    std_logic_vector(51 downto 44);
          OVERFLOW : in    std_logic;
          S        : in    std_logic;
          clk_c    : in    std_logic
        );

end dotp_multadd_1;

architecture DEF_ARCH of dotp_multadd_1 is 

  component dotp_multadd_dotp_multadd_0_HARD_MULT_ADDSUB_1
    port( INPUTC_c : in    std_logic_vector(51 downto 44) := (others => 'U');
          P1_7     : out   std_logic;
          P1_6     : out   std_logic;
          P1_5     : out   std_logic;
          P1_4     : out   std_logic;
          P1_3     : out   std_logic;
          P1_2     : out   std_logic;
          P1_1     : out   std_logic;
          P1_0     : out   std_logic;
          clk_c    : in    std_logic := 'U';
          S        : in    std_logic := 'U';
          OVERFLOW : in    std_logic := 'U'
        );
  end component;

  component VCC
    port( Y : out   std_logic
        );
  end component;

  component GND
    port( Y : out   std_logic
        );
  end component;

    signal GND_net_1, VCC_net_1 : std_logic;

    for all : dotp_multadd_dotp_multadd_0_HARD_MULT_ADDSUB_1
	Use entity work.
        dotp_multadd_dotp_multadd_0_HARD_MULT_ADDSUB_1(DEF_ARCH);
begin 


    dotp_multadd_0 : 
        dotp_multadd_dotp_multadd_0_HARD_MULT_ADDSUB_1
      port map(INPUTC_c(51) => INPUTC_c(51), INPUTC_c(50) => 
        INPUTC_c(50), INPUTC_c(49) => INPUTC_c(49), INPUTC_c(48)
         => INPUTC_c(48), INPUTC_c(47) => INPUTC_c(47), 
        INPUTC_c(46) => INPUTC_c(46), INPUTC_c(45) => 
        INPUTC_c(45), INPUTC_c(44) => INPUTC_c(44), P1_7 => P1(7), 
        P1_6 => P1(6), P1_5 => P1(5), P1_4 => P1(4), P1_3 => 
        P1(3), P1_2 => P1(2), P1_1 => P1(1), P1_0 => P1(0), clk_c
         => clk_c, S => S, OVERFLOW => OVERFLOW);
    
    \VCC\ : VCC
      port map(Y => VCC_net_1);
    
    \GND\ : GND
      port map(Y => GND_net_1);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library SmartFusion2;
use SmartFusion2.all;

entity Extended_adder_2_input is

    port( INPUTA    : in    std_logic_vector(17 downto 0);
          INPUTB    : in    std_logic_vector(17 downto 0);
          INPUTC    : in    std_logic_vector(51 downto 0);
          AddOutput : out   std_logic_vector(51 downto 0);
          clk       : in    std_logic;
          reset_n   : in    std_logic
        );

end Extended_adder_2_input;

architecture DEF_ARCH of Extended_adder_2_input is 

  component INBUF
    generic (IOSTD:string := "");

    port( PAD : in    std_logic := 'U';
          Y   : out   std_logic
        );
  end component;

  component OUTBUF
    generic (IOSTD:string := "");

    port( D   : in    std_logic := 'U';
          PAD : out   std_logic
        );
  end component;

  component GND
    port( Y : out   std_logic
        );
  end component;

  component CFG2
    generic (INIT:std_logic_vector := x"0");

    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component VCC
    port( Y : out   std_logic
        );
  end component;

  component dotp_multadd
    port( P        : out   std_logic_vector(43 downto 0);
          INPUTA_c : in    std_logic_vector(17 downto 0) := (others => 'U');
          INPUTB_c : in    std_logic_vector(17 downto 0) := (others => 'U');
          INPUTC_c : in    std_logic_vector(43 downto 0) := (others => 'U');
          OVERFLOW : out   std_logic;
          clk_c    : in    std_logic := 'U'
        );
  end component;

  component dotp_multadd_1
    port( P1       : out   std_logic_vector(7 downto 0);
          INPUTC_c : in    std_logic_vector(51 downto 44) := (others => 'U');
          OVERFLOW : in    std_logic := 'U';
          S        : in    std_logic := 'U';
          clk_c    : in    std_logic := 'U'
        );
  end component;

    signal \P(0)\, \P(1)\, \P(2)\, \P(3)\, \P(4)\, \P(5)\, 
        \P(6)\, \P(7)\, \P(8)\, \P(9)\, \P(10)\, \P(11)\, \P(12)\, 
        \P(13)\, \P(14)\, \P(15)\, \P(16)\, \P(17)\, \P(18)\, 
        \P(19)\, \P(20)\, \P(21)\, \P(22)\, \P(23)\, \P(24)\, 
        \P(25)\, \P(26)\, \P(27)\, \P(28)\, \P(29)\, \P(30)\, 
        \P(31)\, \P(32)\, \P(33)\, \P(34)\, \P(35)\, \P(36)\, 
        \P(37)\, \P(38)\, \P(39)\, \P(40)\, \P(41)\, \P(42)\, 
        \P(43)\, VCC_net_1, OVERFLOW, GND_net_1, \S\, \P1(0)\, 
        \P1(1)\, \P1(2)\, \P1(3)\, \P1(4)\, \P1(5)\, \P1(6)\, 
        \P1(7)\, clk_c, \INPUTA_c(0)\, \INPUTA_c(1)\, 
        \INPUTA_c(2)\, \INPUTA_c(3)\, \INPUTA_c(4)\, 
        \INPUTA_c(5)\, \INPUTA_c(6)\, \INPUTA_c(7)\, 
        \INPUTA_c(8)\, \INPUTA_c(9)\, \INPUTA_c(10)\, 
        \INPUTA_c(11)\, \INPUTA_c(12)\, \INPUTA_c(13)\, 
        \INPUTA_c(14)\, \INPUTA_c(15)\, \INPUTA_c(16)\, 
        \INPUTA_c(17)\, \INPUTB_c(0)\, \INPUTB_c(1)\, 
        \INPUTB_c(2)\, \INPUTB_c(3)\, \INPUTB_c(4)\, 
        \INPUTB_c(5)\, \INPUTB_c(6)\, \INPUTB_c(7)\, 
        \INPUTB_c(8)\, \INPUTB_c(9)\, \INPUTB_c(10)\, 
        \INPUTB_c(11)\, \INPUTB_c(12)\, \INPUTB_c(13)\, 
        \INPUTB_c(14)\, \INPUTB_c(15)\, \INPUTB_c(16)\, 
        \INPUTB_c(17)\, \INPUTC_c(0)\, \INPUTC_c(1)\, 
        \INPUTC_c(2)\, \INPUTC_c(3)\, \INPUTC_c(4)\, 
        \INPUTC_c(5)\, \INPUTC_c(6)\, \INPUTC_c(7)\, 
        \INPUTC_c(8)\, \INPUTC_c(9)\, \INPUTC_c(10)\, 
        \INPUTC_c(11)\, \INPUTC_c(12)\, \INPUTC_c(13)\, 
        \INPUTC_c(14)\, \INPUTC_c(15)\, \INPUTC_c(16)\, 
        \INPUTC_c(17)\, \INPUTC_c(18)\, \INPUTC_c(19)\, 
        \INPUTC_c(20)\, \INPUTC_c(21)\, \INPUTC_c(22)\, 
        \INPUTC_c(23)\, \INPUTC_c(24)\, \INPUTC_c(25)\, 
        \INPUTC_c(26)\, \INPUTC_c(27)\, \INPUTC_c(28)\, 
        \INPUTC_c(29)\, \INPUTC_c(30)\, \INPUTC_c(31)\, 
        \INPUTC_c(32)\, \INPUTC_c(33)\, \INPUTC_c(34)\, 
        \INPUTC_c(35)\, \INPUTC_c(36)\, \INPUTC_c(37)\, 
        \INPUTC_c(38)\, \INPUTC_c(39)\, \INPUTC_c(40)\, 
        \INPUTC_c(41)\, \INPUTC_c(42)\, \INPUTC_c(43)\, 
        \INPUTC_c(44)\, \INPUTC_c(45)\, \INPUTC_c(46)\, 
        \INPUTC_c(47)\, \INPUTC_c(48)\, \INPUTC_c(49)\, 
        \INPUTC_c(50)\, \INPUTC_c(51)\ : std_logic;

    for all : dotp_multadd
	Use entity work.dotp_multadd(DEF_ARCH);
    for all : dotp_multadd_1
	Use entity work.dotp_multadd_1(DEF_ARCH);
begin 


    \INPUTA_ibuf[2]\ : INBUF
      port map(PAD => INPUTA(2), Y => \INPUTA_c(2)\);
    
    \INPUTA_ibuf[6]\ : INBUF
      port map(PAD => INPUTA(6), Y => \INPUTA_c(6)\);
    
    \AddOutput_obuf[9]\ : OUTBUF
      port map(D => \P(9)\, PAD => AddOutput(9));
    
    \INPUTC_ibuf[43]\ : INBUF
      port map(PAD => INPUTC(43), Y => \INPUTC_c(43)\);
    
    \AddOutput_obuf[34]\ : OUTBUF
      port map(D => \P(34)\, PAD => AddOutput(34));
    
    \INPUTC_ibuf[12]\ : INBUF
      port map(PAD => INPUTC(12), Y => \INPUTC_c(12)\);
    
    \INPUTC_ibuf[20]\ : INBUF
      port map(PAD => INPUTC(20), Y => \INPUTC_c(20)\);
    
    \AddOutput_obuf[26]\ : OUTBUF
      port map(D => \P(26)\, PAD => AddOutput(26));
    
    \INPUTC_ibuf[19]\ : INBUF
      port map(PAD => INPUTC(19), Y => \INPUTC_c(19)\);
    
    \INPUTB_ibuf[3]\ : INBUF
      port map(PAD => INPUTB(3), Y => \INPUTB_c(3)\);
    
    \INPUTC_ibuf[28]\ : INBUF
      port map(PAD => INPUTC(28), Y => \INPUTC_c(28)\);
    
    \INPUTC_ibuf[13]\ : INBUF
      port map(PAD => INPUTC(13), Y => \INPUTC_c(13)\);
    
    \INPUTC_ibuf[36]\ : INBUF
      port map(PAD => INPUTC(36), Y => \INPUTC_c(36)\);
    
    \INPUTA_ibuf[5]\ : INBUF
      port map(PAD => INPUTA(5), Y => \INPUTA_c(5)\);
    
    \AddOutput_obuf[3]\ : OUTBUF
      port map(D => \P(3)\, PAD => AddOutput(3));
    
    \AddOutput_obuf[33]\ : OUTBUF
      port map(D => \P(33)\, PAD => AddOutput(33));
    
    \INPUTC_ibuf[41]\ : INBUF
      port map(PAD => INPUTC(41), Y => \INPUTC_c(41)\);
    
    \AddOutput_obuf[50]\ : OUTBUF
      port map(D => \P1(6)\, PAD => AddOutput(50));
    
    \AddOutput_obuf[0]\ : OUTBUF
      port map(D => \P(0)\, PAD => AddOutput(0));
    
    \AddOutput_obuf[31]\ : OUTBUF
      port map(D => \P(31)\, PAD => AddOutput(31));
    
    \AddOutput_obuf[42]\ : OUTBUF
      port map(D => \P(42)\, PAD => AddOutput(42));
    
    \AddOutput_obuf[17]\ : OUTBUF
      port map(D => \P(17)\, PAD => AddOutput(17));
    
    \AddOutput_obuf[40]\ : OUTBUF
      port map(D => \P(40)\, PAD => AddOutput(40));
    
    \INPUTC_ibuf[40]\ : INBUF
      port map(PAD => INPUTC(40), Y => \INPUTC_c(40)\);
    
    \GND\ : GND
      port map(Y => GND_net_1);
    
    \INPUTB_ibuf[9]\ : INBUF
      port map(PAD => INPUTB(9), Y => \INPUTB_c(9)\);
    
    \INPUTA_ibuf[15]\ : INBUF
      port map(PAD => INPUTA(15), Y => \INPUTA_c(15)\);
    
    \AddOutput_obuf[48]\ : OUTBUF
      port map(D => \P1(4)\, PAD => AddOutput(48));
    
    \AddOutput_obuf[15]\ : OUTBUF
      port map(D => \P(15)\, PAD => AddOutput(15));
    
    \INPUTC_ibuf[34]\ : INBUF
      port map(PAD => INPUTC(34), Y => \INPUTC_c(34)\);
    
    \INPUTA_ibuf[11]\ : INBUF
      port map(PAD => INPUTA(11), Y => \INPUTA_c(11)\);
    
    \INPUTC_ibuf[11]\ : INBUF
      port map(PAD => INPUTC(11), Y => \INPUTC_c(11)\);
    
    \INPUTA_ibuf[1]\ : INBUF
      port map(PAD => INPUTA(1), Y => \INPUTA_c(1)\);
    
    \INPUTC_ibuf[37]\ : INBUF
      port map(PAD => INPUTC(37), Y => \INPUTC_c(37)\);
    
    \INPUTC_ibuf[48]\ : INBUF
      port map(PAD => INPUTC(48), Y => \INPUTC_c(48)\);
    
    S : CFG2
      generic map(INIT => x"8")

      port map(A => OVERFLOW, B => \P(43)\, Y => \S\);
    
    \INPUTC_ibuf[25]\ : INBUF
      port map(PAD => INPUTC(25), Y => \INPUTC_c(25)\);
    
    \INPUTB_ibuf[15]\ : INBUF
      port map(PAD => INPUTB(15), Y => \INPUTB_c(15)\);
    
    \AddOutput_obuf[27]\ : OUTBUF
      port map(D => \P(27)\, PAD => AddOutput(27));
    
    \INPUTC_ibuf[4]\ : INBUF
      port map(PAD => INPUTC(4), Y => \INPUTC_c(4)\);
    
    \INPUTC_ibuf[10]\ : INBUF
      port map(PAD => INPUTC(10), Y => \INPUTC_c(10)\);
    
    \INPUTC_ibuf[7]\ : INBUF
      port map(PAD => INPUTC(7), Y => \INPUTC_c(7)\);
    
    \AddOutput_obuf[49]\ : OUTBUF
      port map(D => \P1(5)\, PAD => AddOutput(49));
    
    \INPUTC_ibuf[0]\ : INBUF
      port map(PAD => INPUTC(0), Y => \INPUTC_c(0)\);
    
    \AddOutput_obuf[25]\ : OUTBUF
      port map(D => \P(25)\, PAD => AddOutput(25));
    
    \INPUTB_ibuf[2]\ : INBUF
      port map(PAD => INPUTB(2), Y => \INPUTB_c(2)\);
    
    \INPUTB_ibuf[6]\ : INBUF
      port map(PAD => INPUTB(6), Y => \INPUTB_c(6)\);
    
    \INPUTB_ibuf[14]\ : INBUF
      port map(PAD => INPUTB(14), Y => \INPUTB_c(14)\);
    
    \AddOutput_obuf[6]\ : OUTBUF
      port map(D => \P(6)\, PAD => AddOutput(6));
    
    \INPUTC_ibuf[18]\ : INBUF
      port map(PAD => INPUTC(18), Y => \INPUTC_c(18)\);
    
    \VCC\ : VCC
      port map(Y => VCC_net_1);
    
    \AddOutput_obuf[14]\ : OUTBUF
      port map(D => \P(14)\, PAD => AddOutput(14));
    
    \INPUTA_ibuf[8]\ : INBUF
      port map(PAD => INPUTA(8), Y => \INPUTA_c(8)\);
    
    \AddOutput_obuf[32]\ : OUTBUF
      port map(D => \P(32)\, PAD => AddOutput(32));
    
    \INPUTC_ibuf[3]\ : INBUF
      port map(PAD => INPUTC(3), Y => \INPUTC_c(3)\);
    
    \AddOutput_obuf[8]\ : OUTBUF
      port map(D => \P(8)\, PAD => AddOutput(8));
    
    \AddOutput_obuf[30]\ : OUTBUF
      port map(D => \P(30)\, PAD => AddOutput(30));
    
    \AddOutput_obuf[46]\ : OUTBUF
      port map(D => \P1(2)\, PAD => AddOutput(46));
    
    \INPUTC_ibuf[32]\ : INBUF
      port map(PAD => INPUTC(32), Y => \INPUTC_c(32)\);
    
    \INPUTA_ibuf[13]\ : INBUF
      port map(PAD => INPUTA(13), Y => \INPUTA_c(13)\);
    
    \AddOutput_obuf[38]\ : OUTBUF
      port map(D => \P(38)\, PAD => AddOutput(38));
    
    \INPUTC_ibuf[45]\ : INBUF
      port map(PAD => INPUTC(45), Y => \INPUTC_c(45)\);
    
    \INPUTB_ibuf[5]\ : INBUF
      port map(PAD => INPUTB(5), Y => \INPUTB_c(5)\);
    
    \INPUTC_ibuf[39]\ : INBUF
      port map(PAD => INPUTC(39), Y => \INPUTC_c(39)\);
    
    \AddOutput_obuf[24]\ : OUTBUF
      port map(D => \P(24)\, PAD => AddOutput(24));
    
    clk_ibuf : INBUF
      port map(PAD => clk, Y => clk_c);
    
    \AddOutput_obuf[13]\ : OUTBUF
      port map(D => \P(13)\, PAD => AddOutput(13));
    
    \INPUTC_ibuf[26]\ : INBUF
      port map(PAD => INPUTC(26), Y => \INPUTC_c(26)\);
    
    \INPUTB_ibuf[10]\ : INBUF
      port map(PAD => INPUTB(10), Y => \INPUTB_c(10)\);
    
    \AddOutput_obuf[5]\ : OUTBUF
      port map(D => \P(5)\, PAD => AddOutput(5));
    
    \INPUTC_ibuf[33]\ : INBUF
      port map(PAD => INPUTC(33), Y => \INPUTC_c(33)\);
    
    \AddOutput_obuf[11]\ : OUTBUF
      port map(D => \P(11)\, PAD => AddOutput(11));
    
    \AddOutput_obuf[39]\ : OUTBUF
      port map(D => \P(39)\, PAD => AddOutput(39));
    
    \INPUTA_ibuf[14]\ : INBUF
      port map(PAD => INPUTA(14), Y => \INPUTA_c(14)\);
    
    \INPUTC_ibuf[9]\ : INBUF
      port map(PAD => INPUTC(9), Y => \INPUTC_c(9)\);
    
    \INPUTC_ibuf[15]\ : INBUF
      port map(PAD => INPUTC(15), Y => \INPUTC_c(15)\);
    
    \AddOutput_obuf[4]\ : OUTBUF
      port map(D => \P(4)\, PAD => AddOutput(4));
    
    \INPUTB_ibuf[1]\ : INBUF
      port map(PAD => INPUTB(1), Y => \INPUTB_c(1)\);
    
    \AddOutput_obuf[1]\ : OUTBUF
      port map(D => \P(1)\, PAD => AddOutput(1));
    
    \AddOutput_obuf[23]\ : OUTBUF
      port map(D => \P(23)\, PAD => AddOutput(23));
    
    \INPUTC_ibuf[24]\ : INBUF
      port map(PAD => INPUTC(24), Y => \INPUTC_c(24)\);
    
    \AddOutput_obuf[2]\ : OUTBUF
      port map(D => \P(2)\, PAD => AddOutput(2));
    
    \INPUTB_ibuf[13]\ : INBUF
      port map(PAD => INPUTB(13), Y => \INPUTB_c(13)\);
    
    \AddOutput_obuf[21]\ : OUTBUF
      port map(D => \P(21)\, PAD => AddOutput(21));
    
    \INPUTC_ibuf[27]\ : INBUF
      port map(PAD => INPUTC(27), Y => \INPUTC_c(27)\);
    
    \AddOutput_obuf[7]\ : OUTBUF
      port map(D => \P(7)\, PAD => AddOutput(7));
    
    \AddOutput_obuf[36]\ : OUTBUF
      port map(D => \P(36)\, PAD => AddOutput(36));
    
    \INPUTC_ibuf[31]\ : INBUF
      port map(PAD => INPUTC(31), Y => \INPUTC_c(31)\);
    
    \INPUTA_ibuf[16]\ : INBUF
      port map(PAD => INPUTA(16), Y => \INPUTA_c(16)\);
    
    \INPUTC_ibuf[46]\ : INBUF
      port map(PAD => INPUTC(46), Y => \INPUTC_c(46)\);
    
    \INPUTC_ibuf[2]\ : INBUF
      port map(PAD => INPUTC(2), Y => \INPUTC_c(2)\);
    
    \INPUTC_ibuf[6]\ : INBUF
      port map(PAD => INPUTC(6), Y => \INPUTC_c(6)\);
    
    \AddOutput_obuf[47]\ : OUTBUF
      port map(D => \P1(3)\, PAD => AddOutput(47));
    
    \INPUTA_ibuf[17]\ : INBUF
      port map(PAD => INPUTA(17), Y => \INPUTA_c(17)\);
    
    \INPUTA_ibuf[4]\ : INBUF
      port map(PAD => INPUTA(4), Y => \INPUTA_c(4)\);
    
    \AddOutput_obuf[45]\ : OUTBUF
      port map(D => \P1(1)\, PAD => AddOutput(45));
    
    \INPUTA_ibuf[7]\ : INBUF
      port map(PAD => INPUTA(7), Y => \INPUTA_c(7)\);
    
    \INPUTA_ibuf[0]\ : INBUF
      port map(PAD => INPUTA(0), Y => \INPUTA_c(0)\);
    
    \INPUTC_ibuf[30]\ : INBUF
      port map(PAD => INPUTC(30), Y => \INPUTC_c(30)\);
    
    \INPUTB_ibuf[8]\ : INBUF
      port map(PAD => INPUTB(8), Y => \INPUTB_c(8)\);
    
    \INPUTB_ibuf[16]\ : INBUF
      port map(PAD => INPUTB(16), Y => \INPUTB_c(16)\);
    
    \INPUTB_ibuf[12]\ : INBUF
      port map(PAD => INPUTB(12), Y => \INPUTB_c(12)\);
    
    \INPUTC_ibuf[16]\ : INBUF
      port map(PAD => INPUTC(16), Y => \INPUTC_c(16)\);
    
    \AddOutput_obuf[12]\ : OUTBUF
      port map(D => \P(12)\, PAD => AddOutput(12));
    
    \INPUTC_ibuf[44]\ : INBUF
      port map(PAD => INPUTC(44), Y => \INPUTC_c(44)\);
    
    \INPUTC_ibuf[38]\ : INBUF
      port map(PAD => INPUTC(38), Y => \INPUTC_c(38)\);
    
    \AddOutput_obuf[10]\ : OUTBUF
      port map(D => \P(10)\, PAD => AddOutput(10));
    
    \INPUTC_ibuf[5]\ : INBUF
      port map(PAD => INPUTC(5), Y => \INPUTC_c(5)\);
    
    \INPUTA_ibuf[3]\ : INBUF
      port map(PAD => INPUTA(3), Y => \INPUTA_c(3)\);
    
    \INPUTA_ibuf[10]\ : INBUF
      port map(PAD => INPUTA(10), Y => \INPUTA_c(10)\);
    
    \AddOutput_obuf[18]\ : OUTBUF
      port map(D => \P(18)\, PAD => AddOutput(18));
    
    \INPUTC_ibuf[47]\ : INBUF
      port map(PAD => INPUTC(47), Y => \INPUTC_c(47)\);
    
    \INPUTB_ibuf[17]\ : INBUF
      port map(PAD => INPUTB(17), Y => \INPUTB_c(17)\);
    
    \INPUTC_ibuf[22]\ : INBUF
      port map(PAD => INPUTC(22), Y => \INPUTC_c(22)\);
    
    \INPUTC_ibuf[51]\ : INBUF
      port map(PAD => INPUTC(51), Y => \INPUTC_c(51)\);
    
    \INPUTC_ibuf[29]\ : INBUF
      port map(PAD => INPUTC(29), Y => \INPUTC_c(29)\);
    
    U0 : dotp_multadd
      port map(P(43) => \P(43)\, P(42) => \P(42)\, P(41) => 
        \P(41)\, P(40) => \P(40)\, P(39) => \P(39)\, P(38) => 
        \P(38)\, P(37) => \P(37)\, P(36) => \P(36)\, P(35) => 
        \P(35)\, P(34) => \P(34)\, P(33) => \P(33)\, P(32) => 
        \P(32)\, P(31) => \P(31)\, P(30) => \P(30)\, P(29) => 
        \P(29)\, P(28) => \P(28)\, P(27) => \P(27)\, P(26) => 
        \P(26)\, P(25) => \P(25)\, P(24) => \P(24)\, P(23) => 
        \P(23)\, P(22) => \P(22)\, P(21) => \P(21)\, P(20) => 
        \P(20)\, P(19) => \P(19)\, P(18) => \P(18)\, P(17) => 
        \P(17)\, P(16) => \P(16)\, P(15) => \P(15)\, P(14) => 
        \P(14)\, P(13) => \P(13)\, P(12) => \P(12)\, P(11) => 
        \P(11)\, P(10) => \P(10)\, P(9) => \P(9)\, P(8) => \P(8)\, 
        P(7) => \P(7)\, P(6) => \P(6)\, P(5) => \P(5)\, P(4) => 
        \P(4)\, P(3) => \P(3)\, P(2) => \P(2)\, P(1) => \P(1)\, 
        P(0) => \P(0)\, INPUTA_c(17) => \INPUTA_c(17)\, 
        INPUTA_c(16) => \INPUTA_c(16)\, INPUTA_c(15) => 
        \INPUTA_c(15)\, INPUTA_c(14) => \INPUTA_c(14)\, 
        INPUTA_c(13) => \INPUTA_c(13)\, INPUTA_c(12) => 
        \INPUTA_c(12)\, INPUTA_c(11) => \INPUTA_c(11)\, 
        INPUTA_c(10) => \INPUTA_c(10)\, INPUTA_c(9) => 
        \INPUTA_c(9)\, INPUTA_c(8) => \INPUTA_c(8)\, INPUTA_c(7)
         => \INPUTA_c(7)\, INPUTA_c(6) => \INPUTA_c(6)\, 
        INPUTA_c(5) => \INPUTA_c(5)\, INPUTA_c(4) => 
        \INPUTA_c(4)\, INPUTA_c(3) => \INPUTA_c(3)\, INPUTA_c(2)
         => \INPUTA_c(2)\, INPUTA_c(1) => \INPUTA_c(1)\, 
        INPUTA_c(0) => \INPUTA_c(0)\, INPUTB_c(17) => 
        \INPUTB_c(17)\, INPUTB_c(16) => \INPUTB_c(16)\, 
        INPUTB_c(15) => \INPUTB_c(15)\, INPUTB_c(14) => 
        \INPUTB_c(14)\, INPUTB_c(13) => \INPUTB_c(13)\, 
        INPUTB_c(12) => \INPUTB_c(12)\, INPUTB_c(11) => 
        \INPUTB_c(11)\, INPUTB_c(10) => \INPUTB_c(10)\, 
        INPUTB_c(9) => \INPUTB_c(9)\, INPUTB_c(8) => 
        \INPUTB_c(8)\, INPUTB_c(7) => \INPUTB_c(7)\, INPUTB_c(6)
         => \INPUTB_c(6)\, INPUTB_c(5) => \INPUTB_c(5)\, 
        INPUTB_c(4) => \INPUTB_c(4)\, INPUTB_c(3) => 
        \INPUTB_c(3)\, INPUTB_c(2) => \INPUTB_c(2)\, INPUTB_c(1)
         => \INPUTB_c(1)\, INPUTB_c(0) => \INPUTB_c(0)\, 
        INPUTC_c(43) => \INPUTC_c(43)\, INPUTC_c(42) => 
        \INPUTC_c(42)\, INPUTC_c(41) => \INPUTC_c(41)\, 
        INPUTC_c(40) => \INPUTC_c(40)\, INPUTC_c(39) => 
        \INPUTC_c(39)\, INPUTC_c(38) => \INPUTC_c(38)\, 
        INPUTC_c(37) => \INPUTC_c(37)\, INPUTC_c(36) => 
        \INPUTC_c(36)\, INPUTC_c(35) => \INPUTC_c(35)\, 
        INPUTC_c(34) => \INPUTC_c(34)\, INPUTC_c(33) => 
        \INPUTC_c(33)\, INPUTC_c(32) => \INPUTC_c(32)\, 
        INPUTC_c(31) => \INPUTC_c(31)\, INPUTC_c(30) => 
        \INPUTC_c(30)\, INPUTC_c(29) => \INPUTC_c(29)\, 
        INPUTC_c(28) => \INPUTC_c(28)\, INPUTC_c(27) => 
        \INPUTC_c(27)\, INPUTC_c(26) => \INPUTC_c(26)\, 
        INPUTC_c(25) => \INPUTC_c(25)\, INPUTC_c(24) => 
        \INPUTC_c(24)\, INPUTC_c(23) => \INPUTC_c(23)\, 
        INPUTC_c(22) => \INPUTC_c(22)\, INPUTC_c(21) => 
        \INPUTC_c(21)\, INPUTC_c(20) => \INPUTC_c(20)\, 
        INPUTC_c(19) => \INPUTC_c(19)\, INPUTC_c(18) => 
        \INPUTC_c(18)\, INPUTC_c(17) => \INPUTC_c(17)\, 
        INPUTC_c(16) => \INPUTC_c(16)\, INPUTC_c(15) => 
        \INPUTC_c(15)\, INPUTC_c(14) => \INPUTC_c(14)\, 
        INPUTC_c(13) => \INPUTC_c(13)\, INPUTC_c(12) => 
        \INPUTC_c(12)\, INPUTC_c(11) => \INPUTC_c(11)\, 
        INPUTC_c(10) => \INPUTC_c(10)\, INPUTC_c(9) => 
        \INPUTC_c(9)\, INPUTC_c(8) => \INPUTC_c(8)\, INPUTC_c(7)
         => \INPUTC_c(7)\, INPUTC_c(6) => \INPUTC_c(6)\, 
        INPUTC_c(5) => \INPUTC_c(5)\, INPUTC_c(4) => 
        \INPUTC_c(4)\, INPUTC_c(3) => \INPUTC_c(3)\, INPUTC_c(2)
         => \INPUTC_c(2)\, INPUTC_c(1) => \INPUTC_c(1)\, 
        INPUTC_c(0) => \INPUTC_c(0)\, OVERFLOW => OVERFLOW, clk_c
         => clk_c);
    
    \AddOutput_obuf[44]\ : OUTBUF
      port map(D => \P1(0)\, PAD => AddOutput(44));
    
    \AddOutput_obuf[22]\ : OUTBUF
      port map(D => \P(22)\, PAD => AddOutput(22));
    
    \INPUTC_ibuf[14]\ : INBUF
      port map(PAD => INPUTC(14), Y => \INPUTC_c(14)\);
    
    \AddOutput_obuf[20]\ : OUTBUF
      port map(D => \P(20)\, PAD => AddOutput(20));
    
    \AddOutput_obuf[37]\ : OUTBUF
      port map(D => \P(37)\, PAD => AddOutput(37));
    
    \AddOutput_obuf[19]\ : OUTBUF
      port map(D => \P(19)\, PAD => AddOutput(19));
    
    \AddOutput_obuf[28]\ : OUTBUF
      port map(D => \P(28)\, PAD => AddOutput(28));
    
    \INPUTC_ibuf[17]\ : INBUF
      port map(PAD => INPUTC(17), Y => \INPUTC_c(17)\);
    
    \INPUTC_ibuf[1]\ : INBUF
      port map(PAD => INPUTC(1), Y => \INPUTC_c(1)\);
    
    \INPUTC_ibuf[23]\ : INBUF
      port map(PAD => INPUTC(23), Y => \INPUTC_c(23)\);
    
    \AddOutput_obuf[35]\ : OUTBUF
      port map(D => \P(35)\, PAD => AddOutput(35));
    
    U1 : dotp_multadd_1
      port map(P1(7) => \P1(7)\, P1(6) => \P1(6)\, P1(5) => 
        \P1(5)\, P1(4) => \P1(4)\, P1(3) => \P1(3)\, P1(2) => 
        \P1(2)\, P1(1) => \P1(1)\, P1(0) => \P1(0)\, INPUTC_c(51)
         => \INPUTC_c(51)\, INPUTC_c(50) => \INPUTC_c(50)\, 
        INPUTC_c(49) => \INPUTC_c(49)\, INPUTC_c(48) => 
        \INPUTC_c(48)\, INPUTC_c(47) => \INPUTC_c(47)\, 
        INPUTC_c(46) => \INPUTC_c(46)\, INPUTC_c(45) => 
        \INPUTC_c(45)\, INPUTC_c(44) => \INPUTC_c(44)\, OVERFLOW
         => OVERFLOW, S => \S\, clk_c => clk_c);
    
    \INPUTC_ibuf[50]\ : INBUF
      port map(PAD => INPUTC(50), Y => \INPUTC_c(50)\);
    
    \INPUTA_ibuf[9]\ : INBUF
      port map(PAD => INPUTA(9), Y => \INPUTA_c(9)\);
    
    \INPUTA_ibuf[12]\ : INBUF
      port map(PAD => INPUTA(12), Y => \INPUTA_c(12)\);
    
    \INPUTB_ibuf[11]\ : INBUF
      port map(PAD => INPUTB(11), Y => \INPUTB_c(11)\);
    
    \AddOutput_obuf[51]\ : OUTBUF
      port map(D => \P1(7)\, PAD => AddOutput(51));
    
    \INPUTC_ibuf[35]\ : INBUF
      port map(PAD => INPUTC(35), Y => \INPUTC_c(35)\);
    
    \AddOutput_obuf[43]\ : OUTBUF
      port map(D => \P(43)\, PAD => AddOutput(43));
    
    \INPUTC_ibuf[42]\ : INBUF
      port map(PAD => INPUTC(42), Y => \INPUTC_c(42)\);
    
    \AddOutput_obuf[29]\ : OUTBUF
      port map(D => \P(29)\, PAD => AddOutput(29));
    
    \AddOutput_obuf[16]\ : OUTBUF
      port map(D => \P(16)\, PAD => AddOutput(16));
    
    \AddOutput_obuf[41]\ : OUTBUF
      port map(D => \P(41)\, PAD => AddOutput(41));
    
    \INPUTC_ibuf[49]\ : INBUF
      port map(PAD => INPUTC(49), Y => \INPUTC_c(49)\);
    
    \INPUTB_ibuf[4]\ : INBUF
      port map(PAD => INPUTB(4), Y => \INPUTB_c(4)\);
    
    \INPUTC_ibuf[21]\ : INBUF
      port map(PAD => INPUTC(21), Y => \INPUTC_c(21)\);
    
    \INPUTB_ibuf[7]\ : INBUF
      port map(PAD => INPUTB(7), Y => \INPUTB_c(7)\);
    
    \INPUTB_ibuf[0]\ : INBUF
      port map(PAD => INPUTB(0), Y => \INPUTB_c(0)\);
    
    \INPUTC_ibuf[8]\ : INBUF
      port map(PAD => INPUTC(8), Y => \INPUTC_c(8)\);
    

end DEF_ARCH; 
